
Foreman - Bug #2639

After creating user with empty e-mail it becomes impossible to add it.

06/10/2013 10:20 AM - Taylan Develioglu

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps:

1) Create user, leave e-mail field blank (user was admin in this case)

2) Log in as this user, user edit field is presented

3) Try filling in e-mail address and submit.

Logging in as another admin user and trying to fill in the e-mail results in the same issue.

Related issues:

Has duplicate Foreman - Bug #2647: Able to create new user without specifying... Duplicate 06/10/2013

Associated revisions

Revision 802ae177 - 06/19/2013 10:01 AM - Amos Benari

fixes #2639 After creating user with empty e-mail it becomes impossible to add it.

Revision de851041 - 06/20/2013 03:41 AM - Amos Benari

fixes #2639 After creating user with empty e-mail it becomes impossible to add it.

(cherry picked from commit 802ae177dc9d35c3fc3889fa34b24e7f32001eb8)

History

#1 - 06/10/2013 11:27 AM - Amos Benari

- Status changed from New to Assigned

- Assignee set to Amos Benari

#2 - 06/10/2013 11:32 AM - Amos Benari

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/708

#3 - 06/19/2013 10:17 AM - Amos Benari

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 802ae177dc9d35c3fc3889fa34b24e7f32001eb8.
